Extending Qt Creator Manual | QmlEnumValue

Extending Qt Creator Manual 4.3.0

# QmlEnumValue Class

(QmlJS::QmlEnumValue)

Inherits: | QmlJS::NumberValue

- List of all members, including inherited members

## Public Functions

| QmlEnumValue(const CppComponentValue *owner, int index)
| ~QmlEnumValue()
QStringList | keys() const
QString | name() const
const CppComponentValue * | owner() const

- 29 public functions inherited from QmlJS::Value

## Member Function Documentation

### QmlEnumValue::QmlEnumValue(const CppComponentValue *owner, int index)

Default constructs an instance of QmlEnumValue.

### QmlEnumValue::~QmlEnumValue()

Destroys the instance of QmlEnumValue.

### QStringList QmlEnumValue::keys() const

### QString QmlEnumValue::name() const

### const CppComponentValue *QmlEnumValue::owner() const